<?php
include "scrinit.php";
include $menu;
require "dbconnect.php";
$dt=$_SESSION['dt'];
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
</head>

<body>

<h1>ΕΙΣΑΓΩΓΗ ΣΥΝΔΙΔΑΣΚΑΛΙΩΝ</h1>
<form method="post" enctype="multipart/form-data">
    Επιλέξτε το αρχείο CSV με τις επιλογές:
    <input type="file" name="fileToUpload" id="fileToUpload">
	<br>
	<p> Να διαγράψετε την πρώτη κενή στήλη και σειρά. Το υπόλοιπο άρχειο να παραμείνει στην αρχική του μορφή: </p>
	<br>
	<p>Κωδικοποίηση χαρακτήρων αρχείου (character encoding): <select name="charset">
       <option value="Windows-1253" selected>Windows-1253</option>
       <option value="ISO-8859-7">ISO-8859-7</option>
	   <option value="UTF-8">UTF-8</option>
    </select>
	<br>
    <p>Χαρακτήρας οριοθέτησης πεδίων (Delimiter): <select name="delim">
       <option value=";" selected><b>;</b></option>
       <option value=","><b>,</b></option>
    </select>
	<br>
	<p><input type="submit" value="ΑΝΕΒΑΣΜΑ ΑΡΧΕΙΟΥ" name="submit">
</form>
<?php
if (isset($_POST['submit'])) 
{
    if (is_uploaded_file($_FILES['fileToUpload']['tmp_name'])) 
	{
        echo "<h1>" . "File ". $_FILES['fileToUpload']['name'] ." uploaded successfully." . "</h1>";

	$fd=fopen($_FILES['fileToUpload']['tmp_name'],'r');
	$charset = $_POST['charset'];
	$file=$_FILES['fileToUpload'];
	$delim = $_POST['delim'];
        echo "<h2>Charset:" . $charset . "</h2>";
        echo "<h2>Delimiter:" . $delim . "</h2>";
        echo "<h2>Displaying contents:</h2>";
        echo "<table>\n";
		mysqli_query($con,'TRUNCATE TABLE stn;');
		
$i=0;
while(! feof($fd))
{
	$list=fgetcsv($fd,0,$delim);
	for ($j=0;$j<count($list);$j++) 
	{
		$list[$j] = $list[$j] == "" ? 'NULL' : iconv($charset,'UTF-8', $list[$j]);
	}
	$row=join('</td><td>',$list);
	$f1 = trim($list[0]);
	$f2 = trim($list[1]);
	$f3 = trim($list[2]);
	
	if ($f1 <> $f2 AND $f1 <> $f3)
	{	
	if(!in_array($f1, array("ΣΥΝΟΛΟ","ΟΝΟΜΑ","")))		
	{
		echo $f1."x".$f2.$f3;
		if ($f1<>$f2 and $f2==$f3)
		{			
			$tmima=$f1;
			echo $tmima;
		}
		else
		{
		
			$mitroo=$f2;
			$name=$f1;
			$omp=$f3;
			$sql="INSERT INTO stn  (mitroo,onoma, tmima, omp)	VALUES ('$mitroo','$name','$tmima','$omp') "; 
			if(mysqli_query($con,$sql)===TRUE) 
			   {
				  echo "<td>OK</td>";
			   } 
			   else 
			   {
				  echo "<td>" . mysqli_error($con) . "</td>";
			   }
			
		}

	}
	
	echo "</tr>\n";
	}

}
echo "</table>\n";

fclose($fd);

    } 
	else 
	{
        echo "ΔΕΝ ΕΓΙΝΕ Η ΦΟΡΤΩΣΗ ΤΟΥ ΑΡΧΕΙΟΥ.";
    }
}
?>
<br /><br />

<a  href=<?php echo $menu; ?>  style="color:blue "  > <button>  Επιστροφή στο Μενού  </a>
</body>
</html>
